import {Refractor} from '@modal-soft/react-refractor';
import {NextPage} from 'next';

const BlogPostPage: NextPage = () => {
  return (
    <>
      <div className="container mx-auto px-4">
        <h1>
          Using Refractor on your Next website
        </h1>
        <p>
          Use <code>@modal-soft/react-refractor</code> as follows on your page:
        </p>
      </div>
      <div className="bg-shade/20 overflow-auto pt-4 pb-8">
        <div className="container mx-auto px-4">
          <Refractor
            lineNumbers
            header
            language="tsx"
            code={`import {Refractor} from '@modal-soft/react-refractor';
import {NextPage} from 'next';

const BlogPostPage: NextPage = () => {
  return (
    <div className="container mx-auto px-4">
      <Refractor
        language="tsx"
        code={\`
          import {Refractor} from '@modal-soft/react-refractor';
        \`}
      />
    </div>
  );
};

export default BlogPostPage;
`}
          />
        </div>
      </div>
      <div className="container mx-auto px-4">
        <p>
          Easy as that!
        </p>
      </div>
    </>
  )
};

export default BlogPostPage;
